# class Runnable | Encapsulates a runnable task. More...
Contains pure virtuals
Full name | `TelEngine::Runnable`
Definition | `#include <yateclass.h>`
Inherited by | Router, Thread
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual void run ()
- virtual ~Runnable ()

## Detailed Description

This class holds the action to execute a certain task, usually in a different execution thread.

void run () | ### run

[pure virtual]

This method is called in another thread to do the actual job. When it returns the job or thread terminates.

~Runnable () | ### ~Runnable

[virtual]

Do-nothing destructor, placed here just to shut up GCC 4+

Generated by: paulc on bussard on Fri Dec 21 16:28:34 2012, using kdoc 2.0a54.